version: '3.8'
name: anythingllm
services:
  anythingllm:
    image: mintplexlabs/anythingllm
    container_name: anythingllm
    ports:
      - target: 3001
        published: 3051
        protocol: tcp
    cap_add:
      - SYS_ADMIN
    volumes:
      - type: bind
        source: /DATA/AppData/anythingllm/storage
        target: /app/server/storage
    restart: always
    extra_hosts:
      - "host.docker.internal:host-gateway"
x-casaos:
  architectures:
    - amd64
  main: anythingllm
  developer: Mintplex Labs
  category: Chat
  description:
    en_us: AnythingLLM is the easiest to use, all-in-one AI application that can do RAG, AI Agents, and much more with no code or infrastructure headaches.
    en_uk: AnythingLLM is the easiest to use, all-in-one AI application that can do RAG, AI Agents, and much more with no code or infrastructure headaches.
    zh_cn: AnythingLLM 是最易于使用的一体化 AI 应用程序，可以使用 RAG、AI 代理等功能，无需代码或基础设施麻烦。
    ja_jp: AnythingLLM は、コードやインフラストラクチャの問題を気にすることなく、RAG、AI エージェントなどを行う最も使いやすいオールインワン AI アプリケーションです。
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/AnythingLLM/icon.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/AnythingLLM/screenshot-1.gif
  tagline:
    en_us: The all-in-one AI application.
    en_uk: The all-in-one AI application.
    zh_cn: 一体化 AI 应用程序。
    ja_jp: オールインワン AI アプリケーション。
  tips:
    before_install:
      en_us: |
        **Usage Tips**
        AnythingLLM supports but does not directly provide various LLMs backends, you need to configure the backends you need yourself.
        Please refer to the [official documentation](https://docs.anythingllm.com) for more information.
      en_uk: |
        **Usage Tips**
        AnythingLLM supports but does not directly provide various LLMs backends, you need to configure the backends you need yourself.
        Please refer to the [official documentation](https://docs.anythingllm.com) for more information.
      zh_cn: |
        **使用提示**
        AnythingLLM 支持但不直接提供各种LLMs后端，您需要自行配置需要的后端。
        请参考[官方文档](https://docs.anythingllm.com)以获取更多信息。
      ja_jp: |
        **使用上のヒント**
        AnythingLLM は、さまざまな LLMs バックエンドをサポートしていますが、必要なバックエンドを自分で構成する必要があります。
        詳細については、[公式ドキュメント](https://docs.anythingllm.com)を参照してください。
  scheme: http
  title:
    en_us: AnythingLLM
    en_uk: AnythingLLM
    zh_cn: AnythingLLM
    ja_jp: AnythingLLM
  index: /
  port_map: "3051"

